/***********************************************************************
This software module was originally developed by Cdric Thinot (Expway)
Claude Seyrat (Expway) and Grgoire Pau (Expway) in the course of 
development of the MPEG-7 Systems (ISO/IEC 15938-1) standard. 

This software module is an implementation of a part of one or more 
MPEG-7 Systems (ISO/IEC 15938-1) tools as specified by the 
MPEG-7 Systems (ISO/IEC 15938-1) standard. 

ISO/IEC gives users of the MPEG-7 Systems (ISO/IEC 15938-1) free license
to this software module or modifications thereof for use in hardware or
software products claiming conformance to the MPEG-7 Systems 
(ISO/IEC 15938-1). 

Those intending to use this software module in hardware or software 
products are advised that its use may infringe existing patents.

The original developer of this software module and his/her company, the
subsequent editors and their companies, and ISO/IEC have no liability
for use of this software module or modifications thereof in an
implementation. 

Copyright is not released for non MPEG-7 Systems (ISO/IEC 15938-1) 
conforming products. 

Expway retains full right to use the code for his/her own purpose, 
assign or donate the code to a third party and to inhibit third parties 
from using the code for non MPEG-7 Systems (ISO/IEC 15938-1) conforming 
products. 

This copyright notice must be included in all copies or derivative works.

Copyright Expway  2001.
************************************************************************/

package com.expway.util;

import java.util.ListResourceBundle;

/**
 * HandlerMessages.java
 *
 *
 * Created: Thu Sep 07 11:36:47 2000
 *
 * @author 
 * @version
 */

public class HandlerMessages extends ListResourceBundle {
    
    public Object[][] getContents() {
        return contents;
    }
    static final Object[][] contents = {
        {"duplicate definition", "Duplicate definition for {0}."},
        {"undefine element", "The element {0} is not defined."},
        {"undefine", "The {0} {1} is not defined."},
        {"invalid value","Invalid value {0} for {1}."},
        {"undefine type","No type is define in {0}."},
        {"inconsistencty","The object is not consistent."},
        {"derive without superType","The object {1} doesn't have defined its superType."}
    };

    static final HandlerMessages newInstance(){
        if (anInstance == null)
            anInstance = new HandlerMessages();
        return anInstance;
    }

    static  HandlerMessages anInstance;

    static final String getMessages(String key){
        return (String)HandlerMessages.newInstance().handleGetObject(key);
    }



    
    
    
}// HandlerMessages
